Skip to content
MarketplaceSellers

Read seller spreadsheet

Reads a page from the current user's seller spreadsheet selection. Sessions expire after one hour.

Path Parameters

id*string

Unique identifier of the resource.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/sellers/spreadsheet/7204558912004323447" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004323447",      "storeId": "7204558912004327977",      "name": "Textiles Andinos",      "slug": "textiles-andinos",      "countryCode": "PE",      "currencyCode": "PEN",      "commissionPercent": 10,      "isInternal": false,      "catalogSettings": {        "productApprovalPolicy": "manualReview",        "promotionsEnabled": true      },      "shippingSettings": {        "shippingEnabled": true,        "shippingProfilesEnabled": true,        "fulfillmentMode": "marketplaceFulfilled",        "rateManagementMode": "marketplaceRates",        "allowedShippingMethods": [          "regular"        ],        "maxTransitDays": 30,        "minShippingRate": 1,        "maxShippingRate": 1      },      "legalInfo": {        "isVerified": true,        "isComplete": false,        "taxId": "45678912",        "businessLicense": "Mi tienda",        "legalName": "Mi tienda",        "legalAddress": "Mi tienda",        "contactPerson": "Mi tienda",        "contactEmail": "andrea.ramos@example.com"      },      "billingInfo": {        "isComplete": false,        "accountHolder": "Mi tienda",        "documentNumber": "45678912",        "bankName": "Mi tienda",        "accountType": "Mi tienda",        "accountNumber": "Mi tienda",        "interbankAccountNumber": "Mi tienda"      },      "profile": {        "linkStyle": "icons",        "verified": true,        "hasMedia": false,        "hasSocialLinks": false,        "logo": "Textiles Andinos",        "banner": "Textiles Andinos",        "avatar": "Textiles Andinos",        "backgroundImage": "Textiles Andinos"      },      "fulfillment": {        "offersShipping": false,        "offersPickup": false,        "offersDigitalDelivery": false,        "offersInstallation": false,        "hasAnyOption": false      },      "rating": {        "averageRating": 5,        "totalReviews": 24,        "fiveStars": 1,        "fourStars": 1,        "threeStars": 1,        "twoStars": 1,        "oneStar": 1,        "hasReviews": false      },      "status": "active",      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}